Void Redemption (Redemptions 2.0)
Voids the complete discount basket. The value of redemption_ref must be appended to the URL path. You can get the redemption_ref value from the Get Active Discount Basket API response.
Example:
DELETE https://{base}/api/auth/batch_redemptions/aBCDEfghIJkL-MN1opR
Note: It will not support partial voiding of a discount basket.
Path Parameters
- Type: stringredemption
_ref requiredTransaction level identifier for all discount selections
Example - aBCDEfghIJkL-MN1opR
Headers
- Type: stringAuthorizationrequired
This is a combination of unique API location key as well as business key (UUID) as the Authorization header.
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredFor details, see User Agent.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
Body
application/json
- Type: integeruser
_id requiredGuest user ID
Responses
- 202
Accepted - Success Response
- application/json
- application/json
- application/json
Request Example for delete/api/pos/batch_redemptions/{redemption_ref}
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/batch_redemptions/{redemption_ref}' \
--request DELETE \
--header 'Authorization: Token token=LOCATION_KEY_GOES_HERE, btoken=BUSINESS_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'User-Agent: IntegratorName/IntegrationType/VersionNumber' \
--header 'Accept: application/json' \
--data '{
"user_id": 11111111
}'
No Body